"use strict";
this.name	= "ecolasers-conditions";
this.author	= "Norby";
this.copyright	= "2016 Norby";
this.description= "Lasers will not heat up faster if there is at least 30m space between multiple mounts";
this.licence	= "CC BY-NC-SA 4.0";

//condition script
this.allowAwardEquipment = function(equipment, ship, context)
{
        // OXP hook to allow stations to forbid specific equipment
        if (context == "purchase" && player.ship.dockedStation && player.ship.dockedStation.scriptInfo["oolite-barred-equipment"])
        {
                if (player.ship.dockedStation.scriptInfo["oolite-barred-equipment"].indexOf(equipment) != -1)
                {
                        return false;
                }
        }

        // OXP hook to allow ships to forbid specific "available to all" equipment
        if (ship.scriptInfo && ship.scriptInfo["oolite-barred-equipment"] && ship.scriptInfo["oolite-barred-equipment"].indexOf(equipment) != -1)
        {
                return false;
        }

//      player.consoleMessage( eqKey+" "+ship+" "+context );//debug

        //Eco Artillery need as large ship as an Anaconda
        if( ship.mass < 400000 && equipment.indexOf("EQ_WEAPON_CANNON_EA") > -1 ) return false;

        //Eco Reactor need a ship like Cobra Mark III
        if( ship.mass < 130000 && equipment.indexOf("EQ_WEAPON_ECO_REACTOR") > -1 ) return false;

        //Eco Laser fit into escort ships from 30t
        if( ship.mass <= 30000 && equipment.indexOf("EQ_WEAPON_ECO_LASER") > -1 ) return false;

        //Other cannons for large ships only like Cobra Mark III
        if( equipment.indexOf("EQ_WEAPON_CANNON") > -1 && ship.mass < 130000 ) return false;

        return true;
}
